(function () {
	angular.module('book')
		.controller('bookController', bookController);

	function bookController(bookFactory) {
		var vm = this;
		vm.title = "Books!";

		vm.books = getBooks();

		function getBooks(){
			return bookFactory.getBooks();
		}

		vm.addBook = function(){
			bookFactory.addBook();
		};

		vm.deleteBook = function() {
			bookFactory.deleteBook();
		};

		vm.updateBook = function() {
			bookFactory.updateBook();
		};

	}
})();