(function () {
	angular.module('book')
		.controller('bookController', bookController);

	function bookController(bookFactory) {
		var vm = this;
		vm.title = "Books!";
		vm.newBook = {
			title: '',
			author: ''
		};

		vm.books = bookFactory.books;

		vm.addBook = function(){
			bookFactory.addBook(vm.newBook);
		};

		vm.deleteBook = function() {
			bookFactory.deleteBook();
		};

		vm.updateBook = function() {
			bookFactory.updateBook();
		};

	}
})();