##Chapter 17
Start by using npm to install Gulp with ```npm install gulp --save```.  Also, run this to install all of the packages mentioned in the chapter: ```npm install gulp-serve gulp-jshint jshint-stylish gulp-uglify gulp-concat  --save```.  Next, create a gulpfile.js in the directory root and use Listing 17.6 from this chapter as the source.

Now, run JSHint by using ```gulp lint```.  JSHint catches the ```bookFactory``` object as a naming collision with the ```bookFactory``` function.

Next, run ```gulp build``` to minify and concatenate your JavaScript.  This will create an app.min.js file under "dist/js".  Try coupling this with some additional ```gulp.src()	``` commands to move over HTML and CSS into "dist".

If you're using Visual Studio Online, GitHub, BitBucket, CodePlex, or even Dropbox for source control of your Angular app, you can deploy directly to Azure.  First, set up a new Azure Web App in the Azure Portal.  Once it's been provisioned, choose "Set up deployment from source control" and link to your source control service.  Finally, head over to the "Configure" tab and scroll down to the "Virtual Applications and Directories" section and set your site to serve out of the "dist" folder by updating the physical path relative to site root from "site\wwwroot" to "site\wwwroot\dist".