(function(){
	angular.module('authentication')
		.controller('loginController', loginController);

	loginController.$inject = ['authenticationFactory', '$location'];

	function loginController(authenticationFactory, $location) {
		var vm = this;
		vm.email = '';
		vm.password = '';
		vm.error = undefined;

		vm.login = login;

		function login() {
			authenticationFactory.Login(vm.email, vm.password)
				.success(function() {
					$location.path('/books');
				})
				.error(function(error){
					vm.error = error;
				});
		}
	}
})();
