##Chapter 14
Notice that we constrain our search to just the "title" property of each book in the list.  If you wanted to search every property on each list item, use ```book in vm.books | filter:vm.query```.

Additionally, we want to pull the price and currency from the Google Books API for new books that we add.  For the book price, we want to implement our custom currency filter from earlier in this chapter.  We create a separate filter and put it in a new module called "utilities".  We also updated the book info directive to list data in a ```<table>``` instead of a ```<div>``` and added some Bootstrap pizzazz.  Finally, add a new book to or modify existing books in the ```books``` array in ```bookFactory``` to use some additional currency codes like EUR and SEK.

Notice that our book info directive is now marked "attribute only" instead of "element only".  During development of this exercise, we found that our custom directive will not work when we switched the view to a table.  This is due to a bug that affects using element directives with HTML tables.  As a workaround, we switched our book info directive from element to attribute.