(function () {
	angular.module('book', [
		'ngRoute',
		'utilities'
	]).config(router);

	router.$inject = ['$routeProvider'];

	function router($routeProvider){
		$routeProvider.
			when('/books', {
				templateUrl: 'book/books.html',
				controller: 'bookController',
				controllerAs: 'vm'
			}).otherwise({
				redirectTo: '/books'
			});
	}
})();