describe('book', function() {

	var $rootScope, bookFactory;

	// Set up the module
	beforeEach(function() {
		module('book');

		inject(function( _$rootScope_, _bookFactory_) {
			$rootScope = _$rootScope_;
			bookFactory = _bookFactory_;
		});
	});


	describe('Book controller', function(){
		it('should be defined', inject(function($controller) {
				//spec body
				var vm = $controller('bookController', {$scope: $rootScope.$new()});
				expect(vm).toBeDefined();
		}));

		it('should have a title equal to "Books!"', inject(function($controller) {
			//spec body
			var vm = $controller('bookController', {$scope: $rootScope.$new()});
			expect(vm.title).toEqual("Books!");
		}));

	});

});