##Chapter 19
In Chapter 18's exercise, we "accidentally" introduced a bug.  If you run the app and try to add a book, you'll find that the call to the Google Books API will fail.  This is because we removed the base of the URL and are just sending the query string (check your console for a further explanation).  Add the base of the URL back in and you'll be working again in no time!

Depending on the types of books you are adding to your list, you may come across instances of books without all of the properties we display (i.e. ISBN and price).  If that’s happening, it would be useful to debug through the app as you add a book to see the raw response from the Google Books API.  Using Google Chrome Dev Tools as discussed in the chapter, navigate to the “Sources” tab and open the “book.factory.js” file.  Add a breakpoint to line 50 and add a book using the UI.  Chrome will stop execution at the breakpoint and you’ll be able to inspect the response from the Google Books API.

Let's explore the Angular scope object!  Select one of the books in your list and open Google Chrome Dev Tools.  Run ```angular.element($0).scope()``` in the console and scroll down to the last property before the object prototype declaration.  You can see the current scope which is the single book that you selected. 