(function () {

    angular.module('authentication').controller('registerController', registerController);

    registerController.$inject = ['$location', 'authenticationFactory'];

    function registerController($location, authenticationFactory) {
        var vm = this;

        vm.newUser = {};

        vm.register = register;



        activate();
        function activate() {
            //nothing to comment
        }

        function register(){
            authenticationFactory.Register(vm.newUser).then(function(response){
                $location.path('/login');
            })
            .catch(function(error){
                alert('Something went wrong with registering. Try again!');
            });
        }



    }
})();